Instalar Eclipse-pdt

Imagen de Miguel.fdz
0 puntos

Hola me he descargado eclipse de internet e intento instalarlo de la siguiente forma desde la terminal y me salen los siguientes warnings ademas de que no el programa no empieza a instalarse:

mikel@mikel-Inspiron-1525:~/zend-eclipse-php$ ls
about_files epl-v10.html p2 zend-eclipse-php.ini
about.html features plugins
artifacts.xml libcairo-swt.so readme
configuration notice.html zend-eclipse-php
mikel@mikel-Inspiron-1525:~/zend-eclipse-php$ ./zend-eclipse-php
Java HotSpot(TM) 64-Bit Server VM warning: ignoring option MaxPermSize=256m; support was removed in 8.0
Java HotSpot(TM) 64-Bit Server VM warning: You have loaded library /home/mikel/zend-eclipse-php/plugins/org.eclipse.equinox.launcher.gtk.linux.x86_1.1.200.v20120913-144807/eclipse_1502.so which might have disabled stack guard. The VM will try to fix the stack guard now.
It's highly recommended that you fix the library with 'execstack -c ', or link it with '-z noexecstack'.
Zend Eclipse for PHP Developers:
JVM terminated. Exit code=13
/usr/bin/java
-Xms128M
-Xmx512M
-XX:MaxPermSize=256m
-jar /home/mikel/zend-eclipse-php//plugins/org.eclipse.equinox.launcher_1.3.0.v20120522-1813.jar
-os linux
-ws gtk
-arch x86
-showsplash
-launcher /home/mikel/zend-eclipse-php/zend-eclipse-php
-name Zend Eclipse for PHP Developers
--launcher.library /home/mikel/zend-eclipse-php//plugins/org.eclipse.equinox.launcher.gtk.linux.x86_1.1.200.v20120913-144807/eclipse_1502.so
-startup /home/mikel/zend-eclipse-php//plugins/org.eclipse.equinox.launcher_1.3.0.v20120522-1813.jar
--launcher.overrideVmargs
-exitdata 18f0001
-showlocation
-vm /usr/bin/java
-vmargs
-Xms128M
-Xmx512M
-XX:MaxPermSize=256m
-jar /home/mikel/zend-eclipse-php//plugins/org.eclipse.equinox.launcher_1.3.0.v20120522-1813.jar
mikel@mikel-Inspiron-1525:~/zend-eclipse-php$

Que puedo hacer para solucionar el problema?
Tambien tuve problemas con Netbeans, no se inicializaba el archivo .sh que me descargaba (le daba los permisos para ejecutarse como programa) me descarge la misma versión que aparecia en el centro de software de ubuntu y se instalo pero al ejecutarlo no se ejecutaba. Pueden estar relacionados los problemas?

Gracias de antemano!

Imagen de elnetotaca
+1
0
-1

Se necesita mas información.
-32 o 64 bits???
-aún estas usando la 11.10
-tienes java de oracle o libre???

+1
0
-1

unzip; strip; touch; finger; mount; fsck; more; yes; unmount; sleep
Es lo que hago a diario....... En Linux mal pensados!

Imagen de Miguel.fdz
+1
0
-1

es linux 12.04 a 64 bits
y la version de java es: java version "1.8.0_05"
Java(TM) SE Runtime Environment (build 1.8.0_05-b13)
Java HotSpot(TM) 64-Bit Server VM (build 25.5-b02, mixed mode)

Espero que sea la que necesitas

+1
0
-1
Imagen de Miguel.fdz
+1
0
-1

es linux 12.04 a 64 bits
el java que tengo seleccionado es ja8 de oracle, con el comando update-alternatives --config java puedo seleccionar java7 openJDK he de seleccionar esta verdad?

+1
0
-1
Imagen de elnetotaca
+1
0
-1

Desinstala/borra todos los archivos de configuración que se crearon a la hora de hacer la instalación de eclipse, e instala OpenJDK Java 7 Runtime desde el centro de software ó synaptic.
terminas por reinstalar eclipse pero asegurate que es 64 bits.
aún usas ubuntu 11.10?

+1
0
-1

unzip; strip; touch; finger; mount; fsck; more; yes; unmount; sleep
Es lo que hago a diario....... En Linux mal pensados!

Imagen de Miguel.fdz
+1
0
-1

con el siguiente comando: sudo apt-get uninstall java* despues he instalado el openjdk java7 he probado a instalar netbeans y funciona (probare con eclipse aunque supongo que funcionara).

ME SURGE OTRA PREGUNTA: al desinstalar java con ese comando en la terminal se me han desinstalado un huevo de cosas entro otras el centro de software de ubuntu (que ya he instalado) pero el resto de cosas no se ni que son ni si son importantes o se han instalado con el openjdk que he instalado despues.
Mi pregunta es: voy a tener algun problema despues de haber desinstalado java de esa forma?

un saludo y gracias!

+1
0
-1